Rygel.SearchableContainer.find_object – librygel-server Reference Manual

# find_object

## Description:

public async MediaObject? find_object (`string` id, `Cancellable`? cancellable) throws `Error`

Recursively searches for media object with the given id in this container.

## Parameters:

id | ID of the media object to search for
cancellable | optional cancellable for this operation
callback | function to call when result is ready

## Returns:

the found media object.